#
# spec file for package optee-test
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           optee-test
Version:        3.1.0
Release:        4.105
Summary:        TEE test
License:        BSD-2-Clause
Group:          System/Boot
URL:            https://github.com/OP-TEE/optee_test
Source:         https://github.com/OP-TEE/optee_test/archive/%{version}.tar.gz#/optee_test-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  optee-client-devel
BuildRequires:  optee-qemu-armv8a-devel
ExclusiveArch:  aarch64

%description
The optee_test contains the source code for the TEE sanity testsuite in Linux
using the ARM(R) TrustZone(R) technology.
For a general overview of OP-TEE, please see the Notice.md file.

%prep
%setup -q -n optee_test-%{version}
sed -i \
    -e "s:-Werror ::g" \
    CMakeLists.txt

%build
# Needs env variable OPTEE_TEST_SDK also known as TA_DEV_KIT_DIR
# Should come from optee_os
%cmake -DOPTEE_TEST_SDK=%{_usrsrc}/optee/ta_arm64
make %{?_smp_mflags}

%install
%cmake_install

%files
%license LICENSE.md
%doc README.md Notice.md
%{_bindir}/xtest

%changelog
* Thu Jul 26 2018 tchvatal@suse.com
- Add the testing binary to filelist
* Wed Jul 25 2018 tchvatal@suse.com
- Do not hardcode the Werror which gets really fragile and is
  useful only for development
* Sat Jun  9 2018 afaerber@suse.de
- Rename tarball
- Require -devel packages and set OPTEE_TEST_SDK
- Fix license filename
* Tue May 29 2018 tchvatal@suse.com
- Initial commit, testsuite for TEE
